Haketilo - Feature #14

test with more browser forks (Abrowser, newest Parabola IceWeasel, LibreWolf)
07/01/2021 12:28 PM - koszko

Status: Rejected Start date: 07/01/2021
Priority: High Due date:

Assignee: % Done: 70%
Category: Estimated time: 0.00 hour
Target version:

Description
Currently used are:

by koszko:

°

IceCat 60 (+ selenium)

e Ungoogled Chromium 90

Parabola Iceweasel 75 (+ selenium)
Abrowser 96 (+ selenium)

Librewolf 96 (+ selenium)

by jahoti:

e Tor Browser 10.5
e LibreWolf 90.0
e Abrowser 92.0 (not on Trisquel)

History

#1 - 07/02/2021 02:55 AM - jahoti

| can't work out how to edit it in: Tor Browser 10.0.17

#2 - 07/02/2021 11:36 AM - koszko

- Status changed from New to In Progress

| added you to the project. Perhaps it will work now

#3 - 07/02/2021 11:38 AM - koszko

- Subject changed from test with more browser forks (Abrowser, Parabola IceWeasel, LibreWolf) to test with more browser forks (Abrowser, newest
Parabola IceWeasel, LibreWolf)

- Description updated

#4 - 07/02/2021 10:51 PM - jahoti

It partly helped- | can see a lot more options than previously! There's still no way to edit the issue, however, which suggests it might simply be you're
the only one allowed to edit your own words.

#5 - 07/02/2021 11:08 PM - koszko
- File Screenshot_2021-07-02_23-05-38.png added

Perhaps. However, | also had hard time trying to find where the edit option is... Just in case - | am sending a screenshot

#6 - 07/04/2021 04:38 AM - jahoti

Thank you for the screenshot! Now | see what you mean, and do indeed have that ability (as well as wiki page creation- I'll start work on that).

09/06/2023 1/3




#7 - 07/31/2021 03:19 AM - jahoti

- Description updated

#8 - 07/31/2021 11:36 AM - koszko
- % Done changed from 0 to 60

Other major ones left are Abrowser, Pure Browser (even though Pure OS by itself is misbehaving), maybe also Brave and Waterfox (can these be
built without nonfree stuff?)?

#9 - 08/30/2021 12:05 PM - koszko

- Blocks Feature #80: Make Haketilo work with mobile versions of browsers added

#10 - 08/30/2021 12:13 PM - koszko

Mobile version considerations

| don't have any Android device to test on, although it might be possible to use some emulator instead.
It'd still be great if someone else showed up who could do porting&testing on mobile.

Despite the fact we're willing to accept porting contributions even to browsers that are not 100% free, we're still interesting in finding out about the free
ones. Does anybody know of any 100% libre FF- or Chromium-derived mobile browsers that can be built under an FSDG-compliant distro?

#11 - 09/03/2021 12:25 PM - jahoti

| suspect IceCat can be built on FSDG-compliant distros. Ungoogled Chromium might have that option, yet it's pointless seeing as support for
extensions has been deprecated in the mobile version. I'm not sure about anything else, albeit with an inclination to believe something
Chromium-based might be accessible through Replicant (c.f. Android WebView).

In any case, this will be much easier if we can find somebody with a mobile device!

#12 - 09/03/2021 12:50 PM - koszko

jahoti wrote:

| suspect IceCat can be built on FSDG-compliant distros.

| am not so sure. Official mobile releases stopped at 38.6.0. | know discontinuation of the Losedowns version was due to its build process relying on
some nonfree M$ stuff. With Android version I'd expect similar problems, except It'd not be nonfree deps but rather deps that haven't been patched
and packaged for FSDG...

support for extensions has been deprecated in the mobile version

Bad news, although good to know

09/06/2023 2/3



#13 - 09/05/2021 04:52 AM - jahoti

I am not so sure. Official mobile releases stopped at 38.6.0.

That complicates things. I'll see if | can find who was packaging it for F-Droid, which has more recent versions, and perhaps how they did it.

#14 - 09/25/2021 03:45 AM - jahoti
- Description updated

- % Done changed from 60 to 70

#15 - 02/01/2022 08:24 AM - koszko

- Description updated

#16 - 10/13/2022 12:17 PM - koszko

- Status changed from In Progress to Rejected

#17 - 10/13/2022 12:17 PM - koszko

- Blocks deleted (Feature #80: Make Haketilo work with mobile versions of browsers)

Files

Screenshot_2021-07-02_23-05-38.png 64.1 KB 07/02/2021 koszko
